package eu.connect.photo.client.console.command;

public class IllegalCommand extends Exception {

	private static final long serialVersionUID = 1L;

	private String commandText;
	private String error;
	private String advice;
	 
	public IllegalCommand(String commandText) {
		this.commandText = commandText;
		this.error = new String("Unknown Error");
		this.advice = new String("No advice availaible");
	}
 
	public String getCommandText() {
		return commandText;
	}

	public void setCommandText(String commandText) {
		this.commandText = commandText;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public String getAdvice() {
		return advice;
	}

	public void setAdvice(String advice) {
		this.advice = advice;
	}
	
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Illegal Command : \"");
		builder.append(this.commandText);
		builder.append("\"\n");
		builder.append(" - Error: " + this.error + "\n");
		builder.append(" - Advice: " + this.advice);		
		return builder.toString();
	}
}
