package eu.connect.photo.client.console.command;

import java.util.LinkedList;
import java.util.List;

import eu.connect.photo.client.console.Console;

public class SearchCommand extends Command {
	
	private String title;
	private String date;
	private String location;
	private List<String> tags;

	public SearchCommand() {
		this.tags = new LinkedList<String>();
	}
	
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	@Override
	public void executeOn(Console target) {
		target.search(title, date, location, tags);
	}
	
	public void addTag(String tag) {
		this.tags.add(tag);
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append(CommandBuilder.SEARCH_KW);
		builder.append(" " + title);
		builder.append(" " + date);
		builder.append(" " + location);
		for(String tag : tags) {
			builder.append(" " + tag); 
		}
		return builder.toString();
	}

	

}
