package eu.connect.photo.client.console.command;

import java.util.LinkedList;
import java.util.List;

import eu.connect.photo.client.console.Console;

public class ShareCommand extends Command {
	
	private String fileToShare;
	private String title;
	private String date;
	private String location;
	private List<String> tags;
	
	public ShareCommand() {
		this.tags = new LinkedList<String>();
	}

	@Override
	public void executeOn(Console target) {
		target.share(fileToShare, title, date, location);
	}
	
	public List<String> getTags() {
		return this.tags;
	}
	
	public void tagWith(String tag) {
		this.tags.add(tag);
	}

	public String getFileToShare() {
		return this.fileToShare;
	}

	public void setFileToShare(String fileToShare) {
		this.fileToShare = fileToShare;
	}
	
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append(CommandBuilder.SHARE_KW);
		builder.append(" " + fileToShare);
		builder.append(" " + title);
		builder.append(" " + date);
		builder.append(" " + location);
		return builder.toString();
	}
	

}
