package eu.connect.photo.client.gui;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.BorderFactory;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.border.EtchedBorder;

public class PhotoPreview extends JPanel {

	private static final long serialVersionUID = -1379470324199779929L;

	private BufferedImage image;

	public PhotoPreview() {
		setPreferredSize(new Dimension(200, 100));
		setBorder((BorderFactory.createTitledBorder(BorderFactory
				.createEtchedBorder(EtchedBorder.LOWERED), "Preview: ")));
		image = new BufferedImage(200, 100, BufferedImage.TYPE_INT_RGB);

	}

	public void setImage(File imageFile) {
		try {
			image = ImageIO.read(imageFile);
 
		} catch (IOException e) {
			JOptionPane.showMessageDialog(null,
					"Error, Unable to load the picture you selected.");
		}
	} 

	@Override
	public void paint(Graphics g) {
		if (image != null) {
			g.drawImage(image, 0, 0, this.getSize().width,
					this.getSize().height, this);
		} else {
			super.paint(g);
		}
	}

}
