package eu.connect.photo.client.gui;

import java.util.LinkedList;
import java.util.List;

import javax.swing.table.AbstractTableModel;

import eu.connect.photo.core.PhotoMetaData;

public class PhotoTableModel extends AbstractTableModel {

	private static final long serialVersionUID = -8855305094532236747L;

	private static final int ID_INDEX = 0;
	private static final int TITLE_INDEX = 1;
	private static final int DATE_INDEX = 2;
	private static final int LOCATION_INDEX = 3;

	private List<PhotoMetaData> contents;

	public PhotoTableModel() {
		super();
		this.contents = new LinkedList<PhotoMetaData>();
	}

	public List<PhotoMetaData> getContents() {
		return this.contents;
	}

	public int getColumnCount() {
		return 4;
	}

	public int getRowCount() {
		return contents.size();
	}

	public Object getValueAt(int row, int column) {
		Object result = null;
		
		if (row < contents.size()) {
			switch(column) {
			case ID_INDEX:
				result = new Integer(contents.get(row).getId());
				break;
			case TITLE_INDEX:
				result = contents.get(row).getTitle();
				break;
			case DATE_INDEX:
				result = contents.get(row).getDate();
				break;
			case LOCATION_INDEX:
				result = contents.get(row).getLocation();
				break;
			}
		}
		
		return result;
	}

}
