package eu.connect.photo.core;

import java.io.Serializable;

/**
 * Describe the meta data describing a photo 
 */
public class PhotoMetaData implements Serializable {

	private static final long serialVersionUID = -5215872366985173589L;

	private int id;
	private String title;
	private String date;
	private String location; 
	
	public PhotoMetaData(String title, String date, String location) {
		super();
		this.id = -1;
		this.title = title;
		this.date = date; 
		this.location = location;
	}
	
	public PhotoMetaData(int id, String title, String date, String location) {
		super();
		this.id = id;
		this.title = title;
		this.date = date;
		this.location = location;
	}

	
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
	
	public String toString() {
		return String.format("%3d %15s %15s %15s", id, title, date, location);
	}
	
}
