package eu.connect.photo.server.rmi;

import java.util.LinkedList;
import java.util.List;

import org.xml.sax.Attributes;
import org.xml.sax.ContentHandler;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;

import eu.connect.photo.core.PhotoMetaData;

public class MetaDataReader implements ContentHandler {

	private static final String PHOTOS_ELEMENT = "photos";
	private static final String PHOTO_ELEMENT = "photo";
	private static final String ID_ELEMENT = "id";
	private static final String TITLE_ELEMENT = "title";
	private static final String DATE_ELEMENT = "date";
	private static final String LOCATION_ELEMENT = "location";

	private LinkedList<PhotoMetaData> result;
	private String accumulator;
	private int id;
	private String title;
	private String date;
	private String location;

	public MetaDataReader() {

	}

	public List<PhotoMetaData> getResult() {
		return this.result;
	}

	public void characters(char[] ch, int start, int length)
			throws SAXException {
		accumulator = new String(ch, start, length);
	}

	public void endDocument() throws SAXException {
		// TODO Auto-generated method stub

	}

	public void endElement(String uri, String localName, String name)
			throws SAXException {

		if (name.equals(PHOTO_ELEMENT)) {
			result.add(new PhotoMetaData(id, title, date, location));

		} else if (name.equals(ID_ELEMENT)) {
			id = Integer.parseInt(accumulator);

		} else if (name.equals(TITLE_ELEMENT)) {
			title = accumulator;

		} else if (name.equals(DATE_ELEMENT)) {
			date = accumulator;

		} else if (name.equals(LOCATION_ELEMENT)) {
			location = accumulator;

		} else {

		}

	}

	public void endPrefixMapping(String prefix) throws SAXException {
		// TODO Auto-generated method stub

	}

	public void ignorableWhitespace(char[] ch, int start, int length)
			throws SAXException {
		// TODO Auto-generated method stub

	}

	public void processingInstruction(String target, String data)
			throws SAXException {
		// TODO Auto-generated method stub

	}

	public void setDocumentLocator(Locator locator) {
		// TODO Auto-generated method stub

	}

	public void skippedEntity(String name) throws SAXException {
		// TODO Auto-generated method stub

	}

	public void startDocument() throws SAXException {
		// TODO Auto-generated method stub

	}

	public void startElement(String uri, String localName, String name,
			Attributes atts) throws SAXException {

		if (name.equals(PHOTOS_ELEMENT)) {
			result = new LinkedList<PhotoMetaData>();
		}
	}

	public void startPrefixMapping(String prefix, String uri)
			throws SAXException {
		// TODO Auto-generated method stub

	}

}
