package eu.connect.photo.server.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

import eu.connect.photo.core.Photo;
import eu.connect.photo.core.PhotoMetaData;
import eu.connect.photo.core.PhotoQuery;

/**
 * Define the interface of the RMI PhotoSharing server. We cannot reuse the
 * original PhotoSharing interface since method here may raise additional
 * exceptions.
 */
public interface RMIPhotoSharing extends Remote {

	public void share(Photo photo) throws RemoteException;

	public List<PhotoMetaData> search(PhotoQuery query) throws RemoteException;

	public Photo get(int photoId) throws RemoteException;

}
